Subject: Re: linux-next: build failure after merge of the qcom tree

From: Bjorn Andersson <[email-masked]>
Date: Sun, 17 May 2020 23:19:48 -0700

On Sun 17 May 22:16 PDT 2020, Stephen Rothwell wrote:

> Hi all,
> 
> On Mon, 20 Apr 2020 19:41:56 -0700 John Stultz <[email-masked]> wrote:
> >
> > On Mon, Apr 20, 2020 at 4:29 PM Stephen Rothwell <[email-masked]> wrote:
> > >
> > > On Tue, 14 Apr 2020 18:18:11 -0700 John Stultz <[email-masked]> wrote:  
> > > >
> > > > On Tue, Apr 14, 2020 at 5:41 PM Stephen Rothwell <[email-masked]> wrote:  
> > > > >
> > > > > After merging the qcom tree, today's linux-next build (x86_64
> > > > > allmodconfig) failed like this:
> > > > >
> > > > > drivers/soc/qcom/rpmh-rsc.c: In function '__tcs_buffer_write':
> > > > > drivers/soc/qcom/rpmh-rsc.c:484:3: error: implicit declaration of function 'trace_rpmh_send_msg_rcuidle'; did you mean 'trace_rpmh_send_msg_enabled'? [-Werror=implicit-function-declaration]
> > > > >   484 |   trace_rpmh_send_msg_rcuidle(drv, tcs_id, j, msgid, cmd);
> > > > >       |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~
> > > > >       |   trace_rpmh_send_msg_enabled
> > > > > cc1: some warnings being treated as errors
> > > > >
> > > > > I don't know why this error only started happening today.  However
> > > > > reverting commit
> > > > >
> > > > >   1d3c6f86fd3f ("soc: qcom: rpmh: Allow RPMH driver to be loaded as a module")
> > > > >
> > > > > fixes the build, so I have done that for today.  
> > > >
> > > >
> > > > Ah. I'm guessing the newly added rpmh-rsc code depends on rpmh being built in.
> > > >
> > > > I'll take a look at it.  
> > >
> > > I am still reverting that commit.  
> > 
> > Yea. I've stirred up some discussion on it, but its fairly
> > complicated. Unfortunately I suspect it will take some time to confirm
> > and justify the change I think is needed, so I think reverting this is
> > the best short term plan.
> 
> I am still reverting that commit.  It is probably time (we are beyond
> -rc6 now) that it is either reverted or fixed in the qcom tree, please.
> 

Thanks for the reminder Stephen, I've pushed the revert out to the qcom
branch now.

Regards,
Bjorn